POST
/v1/responses

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/responses" \  -H "Content-Type: application/json" \  -d '{    "model": "string",    "input": "string"  }'
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "model": "string",
  "status": "in_progress",
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    }
  },
  "service_tier": "default"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}